PETSc version 3.17.4
Fix/Edit manual page

# DMStagCreateISFromStencils

Create an IS, using global numberings, for a subset of DOF in a DMStag object

### Synopsis

    PetscErrorCode DMStagCreateISFromStencils(DM dm,PetscInt nStencil,DMStagStencil* stencils,IS *is)

Collective

### Input Parameters

| dm | - the DMStag object
| nStencil | - the number of stencils provided
| stencils | - an array of DMStagStencil objects (i,j, and k are ignored)

### Output Parameter

| is | - the global IS

### Note

Redundant entries in s are ignored

### See Also

DMSTAG, IS, DMStagStencil, DMCreateGlobalVector

### Level

advanced

### Location

src/dm/impls/stag/stagstencil.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages